dataset:
  name: fb15k
  num_entities: 14951
  num_relations: 1345
distmult:
  entity_embedder:
    dropout: -0.12292058925541527
    regularize_weight: 2.338861470483227e-13
  relation_embedder:
    dropout: 0.11176361350040642
    regularize_weight: 7.854361166235507e-08
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- distmult
- reciprocal_relations_model
lookup_embedder:
  dim: 512
  initialize: xavier_normal_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.0001654224493989399
    uniform_:
      a: -0.26784356120861097
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize: ''
  regularize_args:
    weighted: true
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
reciprocal_relations_model:
  base_model:
    type: distmult
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: .nan
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 6
    threshold: 0.0001
  max_epochs: 400
  optimizer: Adam
  optimizer_args:
    lr: 0.0005350435963237708
  type: 1vsAll
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

